ActivationGroupID (Java Platform SE 8 )
Keywords: java.rmi.activation.ActivationGroupID class
Date: 2026-04-17

compact2, compact3
java.rmi.activation

## Class ActivationGroupID

- java.lang.Object
- - java.rmi.activation.ActivationGroupID

- All Implemented Interfaces:
    Serializable

      public class ActivationGroupID
      extends Object
      implements Serializable

  The identifier for a registered activation group serves several purposes:
  - identifies the group uniquely within the activation system, and
  - contains a reference to the group's activation system so that the group can contact its activation system when necessary.

  The `ActivationGroupID` is returned from the call to `ActivationSystem.registerGroup` and is used to identify the group within the activation system. This group id is passed as one of the arguments to the activation group's special constructor when an activation group is created/recreated.

  Since:
    1.2
  See Also:
    `ActivationGroup`, `ActivationGroupDesc`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActivationGroupID(ActivationSystem system)` Constructs a unique group id.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)` Compares two group identifiers for content equality.
    `ActivationSystem` | `getSystem()` Returns the group's activation system.
    `int` | `hashCode()` Returns a hashcode for the group's identifier.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActivationGroupID

          public ActivationGroupID(ActivationSystem system)

      Constructs a unique group id.
      Parameters:
        `system` - the group's activation system
      Throws:
        `UnsupportedOperationException` - if and only if activation is not supported by this implementation
      Since:
        1.2

  - ### Method Detail

    - #### getSystem

          public ActivationSystem getSystem()

      Returns the group's activation system.
      Returns:
        the group's activation system
      Since:
        1.2

    - #### hashCode

          public int hashCode()

      Returns a hashcode for the group's identifier. Two group identifiers that refer to the same remote group will have the same hash code.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        a hash code value for this object.
      Since:
        1.2
      See Also:
        `Hashtable`

    - #### equals

          public boolean equals(Object obj)

      Compares two group identifiers for content equality. Returns true if both of the following conditions are true: 1) the unique identifiers are equivalent (by content), and 2) the activation system specified in each refers to the same remote object.
      Overrides:
        `equals` in class `Object`
      Parameters:
        `obj` - the Object to compare with
      Returns:
        true if these Objects are equal; false otherwise.
      Since:
        1.2
      See Also:
        `Hashtable`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.